Package com.sas.lsaf.clinical.tlf

## Class SectionDescriptor

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.clinical.tlf.SectionDescriptor

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class SectionDescriptor
      extends AbstractIdentifiable

  The lightweight representation of the definition of a clinical section. Sections can be defined in a hierarchical manner with subsections, up to ten levels.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SectionDescriptor​(java.lang.String id, java.lang.String name, java.lang.String sectionIdentifier, java.lang.String description, Identifiable parent)` | Constructs an `SectionDescriptor`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDescription()` | Gets the description of the section.
    `java.lang.String` | `getName()` | Gets the name of the section.
    `Identifiable` | `getParent()` | Gets the parent of the section.
    `java.lang.String` | `getSectionIdentifier()` | Gets the section identifier of the section.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SectionDescriptor

          public SectionDescriptor​(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String sectionIdentifier,
                                   java.lang.String description,
                                   Identifiable parent)

      Constructs an `SectionDescriptor`.
      Parameters:
        `id` - The unique id of the section.
        `name` - The name of the section.
        `sectionIdentifier` - The section identifier of the section.
        `description` - The description of the section.
        `parent` - The parent of the section.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the section.
      Returns:
        The name.

    - #### getSectionIdentifier

          public java.lang.String getSectionIdentifier()

      Gets the section identifier of the section.
      Returns:
        The section identifier.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the section.
      Returns:
        The description of the section.

    - #### getParent

          public Identifiable getParent()

      Gets the parent of the section. A common example of a parent is another `Section`.
      Returns:
        The parent.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`